[lfs-support] glibc-2.16.0 build issue LFS-BOOK-7.2

Gaurav Goel gauravgoel9nov at gmail.com
Mon Oct 22 11:04:06 PDT 2012


Hi,

I'm following the LFS-BOOK-7.2.
While building glibc in section 6.9 I'm getting following errors:

------------------------------------------------------------------------------------------------------------------------------
./scripts/mkinstalldirs /temp-build/glibc-build/linkobj
mkdir /temp-build/glibc-build/linkobj
(cd /temp-build/glibc-build/linkobj; \
 /tools/lib/gcc/i686-pc-linux-gnu/4.7.1/../../../../i686-pc-linux-gnu/bin/ar
x ../libc_pic.a; \
 rm
$(/tools/lib/gcc/i686-pc-linux-gnu/4.7.1/../../../../i686-pc-linux-gnu/bin/ar
t ../sunrpc/librpc_compat_pic.a | sed 's/^compat-//'); \
 /tools/lib/gcc/i686-pc-linux-gnu/4.7.1/../../../../i686-pc-linux-gnu/bin/ar
x ../sunrpc/librpc_compat_pic.a; \
 /tools/lib/gcc/i686-pc-linux-gnu/4.7.1/../../../../i686-pc-linux-gnu/bin/ar
cr libc_pic.a *.os; \
 rm *.os)
/bin/sh: command substitution: line 3: syntax error near unexpected token
`)'
/bin/sh: command substitution: line 3:
`/tools/lib/gcc/i686-pc-linux-gnu/4.7.1/../../../../i686-pc-linux-gnu/bin/ar
t ../sunrpc/librpc_compat_pic.a | sed 's/^compat-//')'
make[1]: *** [/temp-build/glibc-build/linkobj/libc_pic.a] Error 1
make[1]: Leaving directory `/temp-build/glibc-2.16.0'
make: *** [all] Error 2
-------------------------------------------------------------------------------------------------------------------------------

After debugging i found following lines in Makefile which causing this
error:
147         (cd $(common-objpfx)linkobj; \
148          $(AR) x ../libc_pic.a; \
149          rm $$($(AR) t ../sunrpc/librpc_compat_pic.a | sed
's/^compat-//');     \
150          $(AR) x ../sunrpc/librpc_compat_pic.a; \
151          $(AR) cr libc_pic.a *.os; \
152          rm *.os)

My setup details:

root:/temp-build/glibc-build# env
TERM=xterm
PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin
PWD=/temp-build/glibc-build
PS1=\u:\w\$
SHLVL=1
HOME=/root
OLDPWD=/temp-build/glibc-2.16.0
_=/tools/bin/env
root:/temp-build/glibc-build#

root:/sources# bash version-check.sh
bash, version 4.2.36(1)-release
/bin/sh -> /tools/bin/bash
Binutils: (GNU Binutils) 2.22
version-check.sh: line 7: bison: command not found
yacc not found
bzip2,  Version 1.0.6, 6-Sept-2010.
Coreutils:  8.19
diff (GNU diffutils) 3.2
find (GNU findutils) 4.4.2
GNU Awk 4.0.1
/usr/bin/awk -> /tools/bin/gawk
gcc (GCC) 4.7.1
(GNU libc) 2.16
grep (GNU grep) 2.14
gzip 1.5
cat: /proc/version: No such file or directory
m4 (GNU M4) 1.4.16
GNU Make 3.82
patch 2.6.1
Perl version='5.16.1';
GNU sed version 4.2.1
tar (GNU tar) 1.26
Texinfo: makeinfo (GNU texinfo) 4.13
xz (XZ Utils) 5.0.4
gcc compilation OK

How can i fix this issue. Any help would be appreciated!

Thanks,
Gaurav
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfromscratch.org/pipermail/lfs-support/attachments/20121022/2b237c9d/attachment.html>


More information about the lfs-support mailing list